%define name miniChinput
%define ver 0.0.2
%define rel 2

Name: %{name}
Version: %{ver}
Release: %{rel}
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

Summary: A free Chinese input system that supports XIM protocol
Copyright: GPL
Group: System/Internationalization
Source: ftp://www.yichang.net.cn/pub/chinese/miniChinput-0.0.2-alpha2.tar.bz2
URL: http://www.yichang.net.cn/~yang
BuildRequires: XFree86

%description

Chinput is a free GPL-licensed chinese input system for Linux
in XFree86 environment.It is based on the Chinput written by Yu Mingjian.
It supports 4 styles in XIM:Root,OverTheSpot,OnTheSpot,OffTheSpot.It can
input GB and BIG5 characters.

%description -l zh_CN

miniChinput是Linux下的GPL的自由中文输入系统，用于XFree86环境下面。本
软件基于于明俭的Chinput软件。支持XIM的4种输入风格：Root,OverTheSpot,
OnTheSpot,OffTheSpot。它能够输入GB和BIG5码的字符。

%prep
%setup -q

%build
./configure --prefix=/usr
make
make data

%install

rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{_prefix}
make data-install prefix=$RPM_BUILD_ROOT/%{_prefix}


%clean

rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

/usr/bin/chinput
/usr/lib/Chinput
%doc docs

%changelog
* Mon Jul 16 2001 Zengxu Yang <hust_cool@263.net>
- Bug fix: use patch by ftking at www.linuxforum.net to fix
  the tab2txt bug.

* Sat Jul 8 2001 Zengxu Yang <hust_cool@263.net>
- Minor bug fixes:Fix the bug that it can not be switched back
  to ZNPY when swith between input methods.
  Fix the bug that ZNPY can not locate a PINYIN accurately.Thus
  significantly speed up ZNPY input.
  Update to version 0.0.2

* Sun May 25 2001 Zengxu Yang <hust_cool@263.net>
- RPM build for Bo Zhang's alpha build

* Mon May 19 2001 Bo Zhang <http://www-scf.usc.edu/~bozhang>
- First alpha build
